Skip to main content
GET
List Custom Field Mappings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

integration_slug
string | null

Integration slug — return organization-scoped mappings for this integration.

Example:

"workday"

connector_token
string | null

Connector token — return connector-scoped mappings for this connector.

Example:

"i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the mapping.

Example:

"018e586b-7d0b-7bc9-be65-a8fdbc82d734"

custom_field_id
string<uuid>
required

ID of the custom field this mapping belongs to.

Example:

"018e586b-7d0b-7bc9-be65-a8fdbc82d734"

json_path
string
required

JMESPath expression used to extract the value from the upstream payload.

Example:

"data.employee.guardian_mobile"

created_at
string<date-time>
required
integration_slug
string | null

Integration slug. Set when the mapping is organization-scoped; null otherwise.

Example:

"workday"

connector_token
string | null

Connector token. Set when the mapping is connector-scoped; null otherwise.

Example:

"i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T"

updated_at
string<date-time> | null